commoble.exmachina.circuit

## Class NoStorageForCapability<T>

- java.lang.Object
- - commoble.exmachina.circuit.NoStorageForCapability<T>

All Implemented Interfaces:
  net.minecraftforge.common.capabilities.Capability.IStorage<T>

    public class NoStorageForCapability<T>
    extends java.lang.Object
    implements net.minecraftforge.common.capabilities.Capability.IStorage<T>

Transient capability, no data is stored

### Constructor Summary

Constructors
Constructor and Description
`NoStorageForCapability()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `readNBT(net.minecraftforge.common.capabilities.Capability<T> capability, T instance, net.minecraft.util.Direction side, net.minecraft.nbt.INBT nbt)`
`net.minecraft.nbt.INBT` `writeNBT(net.minecraftforge.common.capabilities.Capability<T> capability, T instance, net.minecraft.util.Direction side)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NoStorageForCapability

    public NoStorageForCapability()

### Method Detail

#### writeNBT

    public net.minecraft.nbt.INBT writeNBT(net.minecraftforge.common.capabilities.Capability<T> capability,
                                           T instance,
                                           net.minecraft.util.Direction side)

Specified by:
  `writeNBT` in interface `net.minecraftforge.common.capabilities.Capability.IStorage<T>`

#### readNBT

    public void readNBT(net.minecraftforge.common.capabilities.Capability<T> capability,
                        T instance,
                        net.minecraft.util.Direction side,
                        net.minecraft.nbt.INBT nbt)

Specified by:
  `readNBT` in interface `net.minecraftforge.common.capabilities.Capability.IStorage<T>`